import 'package:ef/ef.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:vbvs_app/common/color/appConstants.dart';
import 'package:vbvs_app/common/util/FitTool.dart';
import 'package:vbvs_app/common/util/MyUtils.dart';
import 'package:vbvs_app/component/tool/ClickableContainer.dart';
import 'package:vbvs_app/pages/device_bind/componnet/bind_dialog.dart';
import 'package:vbvs_app/pages/sleep_report/chart/AdviceComponnetWidget.dart';
import 'package:EasyDartModule/EasyDartModule.dart' as es;

class AIAdviceWidget extends StatefulWidget {
  var sleepReport;
  AIAdviceWidget({super.key, required this.sleepReport});

  @override
  State<AIAdviceWidget> createState() => _AIAdviceWidgetState();
}

class _AIAdviceWidgetState extends State<AIAdviceWidget> {
  @override
  void setState(VoidCallback callback) {
    super.setState(callback);
  }

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    try {
      if (widget.sleepReport == null ||
          widget.sleepReport['sugges'] == null ||
          widget.sleepReport['sugges'].isEmpty) {
        return Container();
      }
      List advices = widget.sleepReport['sugges'];

      return Container(
        width: double.infinity,
        decoration: BoxDecoration(
          color: themeController.currentColor.sc5,
          borderRadius: BorderRadius.circular(
              AppConstants().normal_container_radius), // 你可以按需调整圆角半径
        ),
        child: Padding(
          padding:
              EdgeInsetsDirectional.fromSTEB(26.rpx, 29.rpx, 26.rpx, 45.rpx),
          child: Column(
            mainAxisSize: MainAxisSize.max,
            children: [
              Container(
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Text(
                      "AI分析".tr,
                      style: TextStyle(
                          color: themeController.currentColor.sc3,
                          fontSize: AppConstants().title_text_fontSize),
                    ),
                    ClickableContainer(
                      backgroundColor: Colors.transparent,
                      highlightColor: Colors.white, // 或设置为你需要的水波纹颜色
                      padding: EdgeInsetsDirectional.fromSTEB(
                          14.rpx, 0.rpx, 14.rpx, 0), //
                      borderRadius: 0.rpx, // 圆形点击区域
                      onTap: () {
                        showTipDialog(
                          context,
                          Container(
                            child: Text(
                              "AI分析介绍".tr,
                              style: TextStyle(
                                fontSize: 26.rpx,
                                color: themeController.currentColor.sc3,
                              ),
                            ),
                          ),
                        );
                      },
                      child: Container(
                        padding: EdgeInsetsDirectional.fromSTEB(
                            0, 0.rpx, 0.rpx, 0), // 外部 padding 移到内部
                        width: 28.rpx,
                        height: 28.rpx,
                        child: SvgPicture.asset(
                          'assets/img/icon/explain.svg',
                          fit: BoxFit.cover,
                          color: themeController.currentColor.sc4,
                        ),
                      ),
                    ),
                  ],
                ),
              ),
              SizedBox(
                height: 31.rpx,
              ),
              Padding(
                padding:
                    EdgeInsetsDirectional.fromSTEB(0.rpx, 0.rpx, 30.rpx, 0.rpx),
                child: Column(
                  children: advices.map<Widget>((advice) {
                    return AdviceComponnetWidget(
                      title: advice["q"],
                      description: advice["s"],
                    ).paddingOnly(bottom: 0.rpx); // 在每个组件下方添加间隔
                  }).toList(),
                ),
              )
            ],
          ),
        ),
      );
    } catch (e) {
      es.EasyDartModule.logger.error("打鼾监测绘制异常${e}");
      return Container();
    }
  }
}
